public class ListBuilderTester {

    /**
     * Add elements 0, 1, ..., size - 1 to list (in order).
     */
    public static void buildList(SimpleList<Integer> list, int size) {
	for (int i = 0; i < size; ++i) {
	    list.add(i, i);
	}
    }

    static int[] getSizeArray(int max, int step) {
	int[] sizes = new int[max / step];
	int size = step;

	for (int i = 0; i < max / step; ++i) {
	    sizes[i] = step + i * step;
	}

	return sizes;
    }


    public static void main(String[] args) {
	int[] sizes = getSizeArray(10_000, 100);
	RunTimer rt = new RunTimer();
	CSVWriter csv = new CSVWriter("list-buildtime.csv");

	csv.addEntry("list size");
	csv.addEntry("ArraySimpleListOne time (ns)");
	csv.addEntry("LinkedSimpleList time (ns)");
	csv.endLine();

	SimpleList<Integer> arraySLOne;
	SimpleList<Integer> linkedSL;

	for (int size : sizes) {
	    arraySLOne = new ArraySimpleListOne<Integer>();
	    linkedSL = new LinkedSimpleList<Integer>();

	    csv.addEntry(size);

	    rt.reset();
	    rt.start();
	    buildList(arraySLOne, size);
	    rt.stop();
	    csv.addEntry(rt.getElapsedNanos());

	    rt.reset();
	    rt.start();
	    buildList(linkedSL, size);
	    rt.stop();
	    csv.addEntry(rt.getElapsedNanos());
	    
	    csv.endLine();
	}

	csv.close();
    }


}
